'use strict';

/**
 * Appends arrays to the end.
 * @param x an array (updated)
 * @param ys arrays to append
 * @returns x
 */
function concat$(x, ...ys) {
    for (var y of ys) {
        if (Array.isArray(y))
            Array.prototype.push.apply(x, y);
        else
            for (var v of y)
                x.push(v);
    }
    return x;
}

/**
 * Adds values to the start.
 * @param x an array
 * @param vs values to add
 */
function unshift(x, ...vs) {
    return concat$(vs, x);
}

module.exports = unshift;
